Skip to main content

Get Transfer Records

Get your internal transfer history between account types.

HTTP Request

GET /api/v1/spot/account/transfer-records

Request Parameters

ParameterTypeRequiredDescription
coinstringYesCoin symbol
fromTypestringNoSource account type filter
startTimestringNoStart time in milliseconds (Unix timestamp)
endTimestringNoEnd time in milliseconds (Unix timestamp)
pageNumstringNoPage number
limitstringNoNumber of records to return
idLessThanstringNoGet records with ID less than this value

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/spot/account/transfer-records?coin=USDT&fromType=SPOT&limit=50" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataarrayArray of transfer records
> transferIdstringTransfer ID
> coinstringCoin symbol
> fromTypestringSource account type
> toTypestringDestination account type
> sizestringTransfer amount
> statusstringTransfer status
> tsstringTimestamp in milliseconds

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": [
{
"coin": "USDT",
"status": "Successful",
"toType": "FUSD",
"fromType": "SPOT",
"size": "100.00",
"ts": "1763459280833",
"transferId": "123456789"
}
]
}

Error Codes

CodeMessage
40002Unauthorized
40034coin does not exist
50000System error